MediaWiki Fratman Skin

MediaWiki Fratman SkinMediaWiki is a free application, registered under the GNU General Public License (GPL). It is used to run Wikipedia, the World’s largest online encyclopedia, as well as many other wikis.

Fratman is a minimalist skin for MediaWiki-driven websites. Originally developed by Jason Pearce, users began making enhancements and fixing bugs. To better facilitate community-driven development of this popular skin, the project has moved to Google code. If you would like to participate, please in further developing this skin, please send me your Google username. So far, there’s nothing there, so if you want to help get things started, I’d appreciate it.

Previous posts about this skin within my website can be found here.

55 Comments

  1. jobe

    I had the possibility to test the skin on IE6.0 and it works, so it’s a IE7 problem only… :(


  2. Sorry Jobe. It’s been nearly three years since I developed this skin. Browsers have updated and so has the MediaWiki code base, so it doesn’t surprise me that my FratMan skin is giving you some problems.

    I currently don’t have any upcoming MediaWiki websites to develop. But when I do, I’ll likely develop a new clean skin that works for all A-Grade browsers and will share it to all.

    Sincerely, Jason Pearce


  3. Like Hal Jobe and EspTek i find that in IE7 the sidebar is strange, but removing just renaming the IE60Fixes.css solves the problem in 1E7. So all I need to do is find the place where the AAIE60Fixes.css is called and have it called only when the browser is IE 6. Aha. In fratman_enhanced.php at line 63 There is This means that if the version is greater than 6 then include the IE60Fixes.css. According to the site below http://www.quirksmode.org/css/condcom.html [if IE 6] will work for all versions of IE6. So I changed line 63 to

    And after a lot of wailing and nashing of teeth (because the CSS was being cached, and I was not refreshing the cashe – be sure to use “Ctrl + F5″ to make sure that the CSS as well as the page are refreshed), the above seems to work for IE7 and I presume for IE6 too.


  4. Alas, the above “fix” did not work with IE 6.02x.

    I have windows XP computer with IE 7 and a Win2K computer with IE 6.02x or thereabouts. The “fix” above only works on the computer with IE 7, so it is no better than just removing the IE60Fixes.css file as suggested by Hal.

    I guess that “[if IE 6]” may mean only IE 6.0 precisely (?).

    Perhaps I need something like [If IE => 6 AND < 7]? I am not sure.

    Nearly there, but not quite.

    Tim

← Previous Page 2 of 2

Comments are closed.